apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: mysql-operator-0.3.9
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: mysql-operator
      name: mysql-operator
      podspec:
        containers:
          - image: aep/base_jammy
            name: mysql-operator
      sizing:
        increment: 0
        initial: 1
        maximum: 1
        minimum: 1
      topologyqueries:
        - flags:
            - key: operator_identifier
              value: mysql-operator
            - key: v1_role
              value: mysql
          format: array
          groupby:
            - v1_clusterid
            - v1_role
          name: allnodes
          scope: global
  includes:
    - name: defaults-operator
      vendor: asag
      version: 0.2.9
  name: mysql-operator
  operator:
    flags:
      - from: value
        key: operator_identifier
        to: label
        value: mysql-operator
    version: "1.0"
  settings:
    - name: environment
      schema:
        default: mysql_prod
  version: 0.3.9
